FEGETROUND(3)

NAME
fegetround, fesetround - floating-point rounding control

LIBRARY
libm

SYNOPSIS
#include <fenv.h>
#pragma STDC FENV_ACCESS ON
int
fegetround(void);
int
fesetround(int round);

DESCRIPTION
The fegetround() function determines the current floating-point rounding mode, and the fesetround() function sets the current rounding mode to round. The rounding mode is one of FE_TONEAREST, FE_DOWNWARD, FE_UPWARD, or FE_TOWARDZERO, as described in fenv(3).

RETURN VALUES
The fegetround() routine returns the current rounding mode. The fesetround() function returns 0 on success and non-zero otherwise; however, the present implementation always succeeds.

SEE ALSO
fenv(3), fpgetround(3), fpsetround(3)

STANDARDS
The fegetround() and fesetround() functions conform to isoC-99.

HISTORY
These routines first appeared in FreeBSD 5.3 and NetBSD 6.0. They supersede the non-standard fpgetround(3) and fpsetround(3) functions.